@echo off


:checkGSDL3HOME
:: ---- Check GSDL3HOME environment variable is set ----
if not "%GSDL3HOME%" == "" goto checkJAVA_HOME
   echo You need to run setup.bat before running this script.
   goto done

:checkJAVA_HOME
:: ---- Check JAVA_HOME environment variable is set ----
if not "%JAVA_HOME%" == "" goto start
   echo You need to set the JAVA_HOME environment variable before running this script.
   goto done


:start
if ""%1"" == """" goto go
if ""%1"" == ""compile"" goto go
if ""%1"" == ""install"" goto go
if ""%1"" == ""clean"" goto go
if ""%1"" == ""allclean"" goto go

:unknown
	echo Error: Unrecognized argument %1.
	goto done

:go
        cd %GSDL3HOME%\src\java\org\greenstone\applet\phind
        call winMake %1
        cd %GSDL3HOME%\src\java\org\greenstone\gdbm
        call winMake %1
        cd %GSDL3HOME%\src\java\org\greenstone\gsdl3
        call winMake %1
        cd %GSDL3HOME%\src\java\org\greenstone\testing
        call winMake %1
        cd %GSDL3HOME%\web\WEB-INF\classes
        %JAVA_HOME%\bin\javac TestServlet.java
        cd %GSDL3HOME%
	goto done

:done
